Package oracle.jdbc.diagnostics

## Enum OracleTraceKey

- java.lang.Object
- - java.lang.Enum<OracleTraceKey>
  - - oracle.jdbc.diagnostics.OracleTraceKey

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OracleTraceKey>`, `TraceKey`

    public enum OracleTraceKey
    extends java.lang.Enum<OracleTraceKey>
    implements TraceKey

### Enum Constant Summary

Enum Constants
`ACTION`
`CLIENTID`
`CLIENTINFO`
`CONNECTION_ID`
`DBOP`
`ECID`
`MODULE`
`SEQUENCE_NUMBER`
`SQL`
`TENANT`

### Field Summary

### Fields inherited from interface oracle.jdbc.TraceKey

`INDEX_TO_KEY, NEXT_INDEX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `index()` Return a unique invariant int for each object that implements this interface.
`java.lang.String` `keyName()`
`java.lang.String` `namespace()`
`static OracleTraceKey` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OracleTraceKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.TraceKey

`propertyName, xmlAttributeName`

### Enum Constant Detail

#### CONNECTION_ID

    public static final OracleTraceKey CONNECTION_ID

#### TENANT

    public static final OracleTraceKey TENANT

#### SQL

    public static final OracleTraceKey SQL

#### CLIENTID

    public static final OracleTraceKey CLIENTID

#### MODULE

    public static final OracleTraceKey MODULE

#### ACTION

    public static final OracleTraceKey ACTION

#### ECID

    public static final OracleTraceKey ECID

#### SEQUENCE_NUMBER

    public static final OracleTraceKey SEQUENCE_NUMBER

#### DBOP

    public static final OracleTraceKey DBOP

#### CLIENTINFO

    public static final OracleTraceKey CLIENTINFO

### Method Detail

#### values

    public static OracleTraceKey[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleTraceKey c : OracleTraceKey.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleTraceKey valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### index

    public int index()

Description copied from interface: `TraceKey`
Return a unique invariant int for each object that implements this interface. No two objects implementing this interface can return the same value. Further the values should be compact, that is the returned value must be the least value such that at the time the object is created no other object has that value. Best practice is to set the index to the result of `TraceKey.nextIndex()`.

Specified by:
  `index` in interface `TraceKey`
Returns:
  a unique invariant index

#### keyName

    public java.lang.String keyName()

Specified by:
  `keyName` in interface `TraceKey`

#### namespace

    public java.lang.String namespace()

Specified by:
  `namespace` in interface `TraceKey`